com.trendmicro.ds.platform.rest.object.managernodes

## Class ListManagerNodesResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.managernodes.ListManagerNodesResponse

-     public class ListManagerNodesResponse
      extends java.lang.Object

  Response object for the ListManagerNodes API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListManagerNodesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addManagerNode(ManagerNode managerNode)` Add to the list of manager node details.
    `java.util.List<ManagerNode>` | `getManagerNodes()` Get the list of manager node details.
    `void` | `setManagerNode(java.util.List<ManagerNode> managerNodes)` Set the list of manager node details.
    `ListManagerNodesResponse` | `withManagerNodes(java.util.List<ManagerNode> managerNodes)` Set the list of manager node details.
    `ListManagerNodesResponse` | `withManagerNodes(ManagerNode... managerNodes)` Set the list of manager node details.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListManagerNodesResponse

          public ListManagerNodesResponse()

  - ### Method Detail

    - #### getManagerNodes

          public java.util.List<ManagerNode> getManagerNodes()

      Get the list of manager node details.
      Returns:
        the list of manager node details.

    - #### setManagerNode

          public void setManagerNode(java.util.List<ManagerNode> managerNodes)

      Set the list of manager node details.
      Parameters:
        `managerNodes` - the list of manager node details to set.

    - #### withManagerNodes

          public ListManagerNodesResponse withManagerNodes(java.util.List<ManagerNode> managerNodes)

      Set the list of manager node details.
      Parameters:
        `managerNodes` - the list of manager node details to set.
      Returns:
        the updated ListManagerNodesResponse object.

    - #### withManagerNodes

          public ListManagerNodesResponse withManagerNodes(ManagerNode... managerNodes)

      Set the list of manager node details.
      Parameters:
        `managerNodes` - the list of manager node details to set.
      Returns:
        the updated ListManagerNodesResponse object.

    - #### addManagerNode

          public void addManagerNode(ManagerNode managerNode)

      Add to the list of manager node details.
      Parameters:
        `managerNode` - the manager node details to add to the list.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.